
uopt_home = getenv('UOPT_HOME');

if isempty(uopt_home)
  uopt_home = '/usr/local';
end

if exist('printf')
  setenv CXXFLAGS '-O3 -Wall -Wextra -std=c++11'
  mex(['-I' uopt_home '/include'], ['-L' uopt_home '/lib'], '-luopt', 'src/uopt.cc')
  mex(['-I' uopt_home '/include'], ['-L' uopt_home '/lib'], '-luopt', 'src/usolve.cc')
else
  mex(['-I' uopt_home '/include'], ['-L' uopt_home '/lib'], '-luopt', 'src/uopt.cc', 'CXXFLAGS=''-O3 -Wall -Wextra -std=c++11''')
  mex(['-I' uopt_home '/include'], ['-L' uopt_home '/lib'], '-luopt', 'src/usolve.cc', 'CXXFLAGS=''-O3 -Wall -Wextra -std=c++11''')
end

clear uopt
